Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Interface EntityPropertyCache

public interface EntityPropertyCache
extends java.io.Serializable

Class used to hold properties for a given entity. An instance of this class is used as the runtime store for a ConfigurableEntity EJB during its lifecycle, as a container to pass properties from the EntityPropertyManager to an entity, and as a container to cache properties in the application-wide cache by the EntityPropertyManager.

See Also:
  `ConfigurableEntity`, `EntityPropertyManager`

Method Summary
`void` | `clear()` Clear the cache
`java.lang.Object` | `get(PropertyMapKey key)` Get a value from the cache
`java.util.Map` | `getMap()` Get the entire map that backs up the cache
`void` | `put(PropertyMapKey key, java.lang.Object value)` Put a value in the cache
`void` | `putAll(java.util.Map map)` Add all the key/value pairs from the given map to the cache
`void` | `remove(PropertyMapKey key)` Remove a value from the cache

Method Detail

### get

    public java.lang.Object get(PropertyMapKey key)

  Get a value from the cache

  Parameters:
    `key` - the key to lookup
  Returns:
    the property value, or null if there is none.

### remove

    public void remove(PropertyMapKey key)

  Remove a value from the cache

  Parameters:
    `key` - the key to remove

### put

    public void put(PropertyMapKey key,
                    java.lang.Object value)

  Put a value in the cache

  Parameters:
    `key` - the key of the new value
    `value` - the value to cache

### putAll

    public void putAll(java.util.Map map)

  Add all the key/value pairs from the given map to the cache

  Parameters:
    `map` - the Map containing values to add

### getMap

    public java.util.Map getMap()

  Get the entire map that backs up the cache

  Returns:
    a Map of PropertyMapKey/value pairs

### clear

    public void clear()

  Clear the cache

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved